from qgis.gui import QgsEditorWidgetRegistry

from mywidgetwrapper import MyWidgetWrapperFactory

class WidgetTestPlugin:
    def __init__(self, iface):
        self.iface = iface

        self.widgetFactory = MyWidgetWrapperFactory()
        QgsEditorWidgetRegistry.instance().registerWidget('My test widget', self.widgetFactory)

    def unload(self):
        pass

    def initGui(self):
        pass
